#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-8Sp6u3DAgJh9tj901MDyK5
key:                  ghcide-1.4.1.0-8Sp6u3DAgJh9tj901MDyK5
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  cf384d873b29773de5d0b032204f9aac
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.4.1.0-8Sp6u3DAgJh9tj901MDyK5
depends:
    Diff-0.4.1-2n0f9053pRKGVWLBFbqArL
    Glob-0.10.2-3cugE4LEE9i681b8s3lKOh
    aeson-1.5.6.0-ACA5il8oUDTGWSuengtGRp
    aeson-pretty-0.8.9-9A2owPRAJ3fF2WYLMGdoC1 array-0.5.4.0
    async-2.2.4-BQljimKC9bM4zvFoLpwvUr base-4.15.1.0
    base16-bytestring-1.0.2.0-A8E4JEFCpew8IUblWZwiAs binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-L1eukBlPF7dK4twaczVi0m
    case-insensitive-1.2.1.0-5VDT8fH2EuK8lxYh6ZMoM9 containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-AJ2e7uLh9ISAPUO1mK1gFT
    data-default-0.7.1.1-EcFn1KqENcc3dlLa7FIl7R deepseq-1.4.5.0
    dependent-map-0.4.0.0-JDMh22rZsaPKYUNXv1iUGy
    dependent-sum-0.7.1.0-7oq0A9KXgpUDjtMPL8MOP0 directory-1.3.6.2
    dlist-1.0-F00OxiD1dC249OyRKVGlo2
    extra-1.7.10-Ftra9IdqTdp95PiG9UbAhf filepath-1.4.2.1
    fingertree-0.1.5.0-82DYfb3CR4B6tjM2c5u9Tg
    fuzzy-0.1.0.1-GvURuuz4DbBCbaKRx8UxEq ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.6-6DZLzOXYDrOLPUNqIQ4K2J
    ghc-exactprint-0.6.4-6td72TaDXguDHo37rxJrCD
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.5-20Skp14Tvmg9qSNMhFPbkW
    haddock-library-1.10.0-AFgu2WKrC7TDC2etP4tr0x
    hashable-1.4.0.0-Ad25gOPS1LBBwFTwmctznB
    heapsize-0.3.0.1-AiS4LGeaavZK25RNWDIMHo
    hie-bios-0.7.6-A7RP31RxMrWHIEhsxx3wgO
    hie-compat-0.2.0.0-HIRtu2tZqQkzZYfKK8kwk
    hiedb-0.4.1.0-61MfgkbjwWmGE2nmTmDcTO
    hls-graph-1.4.0.0-4uIH6DmQwaWZsxTgpZAYu
    hls-plugin-api-1.2.0.0-GP7xvMizolV1cT9PyuVmju
    hslogger-1.3.1.0-4Wlr3F7Wc0k5a40xXbkl5W
    implicit-hie-cradle-0.3.0.5-AwM2GZxC3uXBGwt4t4zJm9
    lens-5.1-KzHhhLE1jOD6VmHbPqSTp2 lsp-1.2.0.1-8esNiqhpTKl89loDFNHlHJ
    lsp-types-1.3.0.1-9mi6Vpok1mP74eGK1TdVBK mtl-2.2.2
    network-uri-2.6.4.1-IAkqAvJDjrn36sgBWLtC3A
    opentelemetry-0.7.0-3YEAzkHLBlxBiBM8W2uvm5
    optparse-applicative-0.16.1.0-Je4Eqp47gZkHU3mHmIhYBI
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-J9v6KxFXdpIGIHaETGNDv4
    prettyprinter-ansi-terminal-1.1.3-GXd2359t8soE78Z0vVLVaG
    regex-tdfa-1.3.1.2-R4cqD1ONIjB4g0AHXP2H5
    retrie-1.1.0.0-5tUYnKVgtrsLImBBakhY3C
    rope-utf16-splay-0.3.2.0-PbnAaQls9N4fUxq2OmAF6
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.2-CBfZQcIqSYDK2MNuGjYQ4H
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.0-7rCXD7HXahbLR9XfbAIEWs stm-2.5.0.0
    syb-0.7.2.1-2JzKh1HQ9hA50MTrftICND text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.21.0-BoKv9plIw7cI6Ne42ohSnW
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.18.0-HgeMTnP7CmhGWtqS52RLit
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.12.3.1-6ArAehJI8jX1p1vyTVOQhO

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

